IM_BINFILE(3)

NAME
im_binfile, im_image - wrap a raw binary file inside an IMAGE descriptor

SYNOPSIS
#include <vips/vips.h> IMAGE *im_binfile( name, xs, ys, b )
char *in;
IMAGE *out;
int xs, ys, b; IMAGE *
im_image( void *buffer, int width, int height, int bands, int format )

DESCRIPTION
im_binfile maps the file named, and returns an image descriptor which looks very like the sort of thing that im_mmapin(3) returns. This function is used primarily to add a VAS_HD to an existing raw image file. im_image() make an IMAGE deriptor from an area of pixels in memory. The memory buffer will not be freed when the IMAGE is closed, use im_add_close_callback() if you want this.

RETURN VALUE
The functions return NULL on error.

SEE ALSO
im_mmapin(3), im_openout(3), im_setbuf(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 11/04/1990